# Uses of Class
net.shibboleth.idp.profile.context.ExternalInterceptorContext

Packages that use ExternalInterceptorContext
Package
Description
net.shibboleth.idp.profile.context
Context classes for IdP-specific information needed by profile actions.
net.shibboleth.idp.profile.interceptor
Classes supporting profile interceptor machinery.
net.shibboleth.idp.profile.interceptor.impl
Implementation of a profile interceptor flow which executes other flows.

## Uses of ExternalInterceptorContext in net.shibboleth.idp.profile.context

Methods in net.shibboleth.idp.profile.context that return ExternalInterceptorContext
Modifier and Type
Method
Description
`ExternalInterceptorContext`
ExternalInterceptorContext.`setEventId(String id)`
Set the event ID to signal as the result of this flow.
`ExternalInterceptorContext`
ExternalInterceptorContext.`setFlowExecutionUrl(String url)`
Set the flow execution URL to return control to.

## Uses of ExternalInterceptorContext in net.shibboleth.idp.profile.interceptor

Methods in net.shibboleth.idp.profile.interceptor that return ExternalInterceptorContext
Modifier and Type
Method
Description
`private static ExternalInterceptorContext`
ExternalInterceptor.`getExternalInterceptorContext(ProfileRequestContext profileRequestContext)`
Utility method to access the `ExternalInterceptorContext`.
Methods in net.shibboleth.idp.profile.interceptor with parameters of type ExternalInterceptorContext
Modifier and Type
Method
Description
`protected abstract void`
ExternalInterceptor.`doFinish(HttpServletRequest request, HttpServletResponse response, ProfileRequestContext profileRequestContext, ExternalInterceptorContext externalInterceptorContext)`
Complete a request to an external interceptor by seeking out the information stored in request attributes and transferring to the session's conversation state, and then transfer control back to the webflow.
`protected void`
ExternalInterceptor.`doStart(HttpServletRequest request, ProfileRequestContext profileRequestContext, ExternalInterceptorContext externalInterceptorContext)`
Initialize a request to an external interceptor by seeking out the information stored in the servlet session and exposing it as request attributes.

## Uses of ExternalInterceptorContext in net.shibboleth.idp.profile.interceptor.impl

Methods in net.shibboleth.idp.profile.interceptor.impl with parameters of type ExternalInterceptorContext
Modifier and Type
Method
Description
`protected void`
ExternalInterceptorImpl.`doFinish(HttpServletRequest request, HttpServletResponse response, ProfileRequestContext profileRequestContext, ExternalInterceptorContext externalContext)`
Complete a request to an external interceptor by seeking out the information stored in request attributes and transferring to the session's conversation state, and then transfer control back to the webflow.